#ifndef CLIENT_H
#define CLIENT_H

extern int fdin[2], fdout[2]; /* two pipes, in and out */

extern int connected;
extern char server[128];
extern void shutdown_gtkmonop(void);

/* inmsgs are messages coming from the server */

enum inmsg_type {
	IN_UNUSED, IN_NOMSG,
	IN_ENDTRANSMISSION, IN_COMMANDLIST,
	IN_PLAYERUPDATE, IN_UPDATEPLAYERLIST,
	IN_GAMELIST, IN_JOINEDGAME, IN_MSG,
	IN_NEWTURN, IN_ESTATEUPDATE, IN_UPDATEGAMELIST,
	IN_LEFTGAME, IN_CONNECTED, IN_DISCONNECTED,
	IN_CLIENT, IN_TRADEUPDATE, IN_AUCTIONUPDATE
};

/* outmsgs are messages going out to the server */

enum outmsg_type {
    OUT_UNUSED, 
    OUT_GAMENEW, OUT_GAMESTART,
    OUT_CONFIRM, OUT_CHAT,
    OUT_DISCONNECT, OUT_CONNECTED,
    OUT_BUY, OUT_USECARD, OUT_ENDTURN,
    OUT_LISTGAME, OUT_JOINGAME, OUT_AUCTION, OUT_AUCTIONBID,
    OUT_LISTPLAYERS, OUT_STARTGAME, OUT_MORTGAGE,
    OUT_NICK, OUT_PAYJAIL, OUT_ROLL, OUT_UNMORTGAGE,
    OUT_GAMEDESC, OUT_BUYHOUSE, OUT_JAILCARD,
    OUT_JAILROLL, OUT_TRADENEW, OUT_TRADEREJECT,
    OUT_TRADEESTATE, OUT_TRADEMONEY, OUT_TRADEACCEPT,
    OUT_SELLHOUSE
};

/* initalisation functions */
extern void client_initpipes (void);
extern void client_destroypipes (void);

/* functions for connecting and disconnecting */
extern void client_init (char *, int);
extern void client_connectcancel (void);
extern void client_destroy (void);

/* for sending stuff back and forth */
extern void client_outmessage (enum outmsg_type msgtype, char *str);
extern void client_inmessage (char *str);

extern int client_readmsg (char *, int);

#endif
